## org.apache.mahout.ga.watchmaker.travellingsalesman
Interface ProgressListener

    public interface ProgressListener

Call-back interface for keeping track of the progress of a `TravellingSalesmanStrategy` implementation.
The original code is from the Watchmaker project (https://watchmaker.dev.java.net/).

Method Summary
`void` `updateProgress(double percentComplete)` Call-back method that informs the implementing object of the current completion percentage.

Method Detail

### updateProgress

    void updateProgress(double percentComplete)

  Call-back method that informs the implementing object of the current completion percentage.

  Parameters:
    `percentComplete` - A percentage between 0 and 100.

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.